Localization

SpreadJS provides built-in support for English culture (default), Chinese (need corresponding resource file), and Japanese (need corresponding resource file). You can use them to support your localization work.

Description
app.js
index.html
styles.css
Copy to CodeMine

In order to support localization, you need to add the appropriate js file link into the document's head section below the Spread link. For example:

<head>
   ...
   <script src=".../spreadjs/gc.spread.sheets.all.x.x.x.min.js" type="text/javascript"></script>
   <script src=".../spreadjs/resources/ja/gc.spread.sheets.resources.ja.x.x.x.min.js" type="text/javascript"></script>
   ...
</head>

Then you can choose one of the following methods to support localization.

Culture meta

You can set culture using the meta tag:

<head>
   ...
   <meta name="spreadjs culture" content="ja-jp" />
   ...
</head>

Change with code

You can change culture using the GC.Spread.Common.CultureManager.culture method:

// init spread
...
GC.Spread.Common.CultureManager.culture("ja-jp");
// GC.Spread.Common.CultureManager.culture("zh-cn");
In order to support localization, you need to add the appropriate js file link into the document's head section below the Spread link. For example: Then you can choose one of the following methods to support localization. Culture meta You can set culture using the meta tag: Change with code You can change culture using the GC.Spread.Common.CultureManager.culture method:
var spreadNS = GC.Spread.Sheets; window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), {sheetCount: 1}); initSpread(spread); document.getElementById('cultureName').onchange = function (e) { GC.Spread.Common.CultureManager.culture(e.target.value); }; } function initSpread(spread) { spread.suspendPaint(); spread.options.showResizeTip = spreadNS.ShowResizeTip.both; spread.options.showScrollTip = spreadNS.ShowScrollTip.both; var sheet = spread.getActiveSheet(); for (var r = 0; r < 10; r++) { for (var c = 0; c < 5; c++) { sheet.setValue(r, c, r + c); } } sheet.rowFilter(new spreadNS.Filter.HideRowFilter(new spreadNS.Range(0, 0, 10, 5))); sheet.setValue(10, 0, "SUM:"); sheet.setFormula(10, 1, "SUM(A1:E10)"); sheet.setValue(11, 0, "PIESPARKLINE:"); sheet.setFormula(11, 1, 'PIESPARKLINE(A1:E10,"yellow", "green")'); sheet.setRowHeight(11, 100); sheet.setColumnWidth(0, 120); sheet.setColumnWidth(1, 100); spread.resumePaint(); GC.Spread.Common.CultureManager.culture(document.getElementById('cultureName').value); }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-resources-ja/dist/gc.spread.sheets.resources.ja.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-resources-zh/dist/gc.spread.sheets.resources.zh.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-resources-ko/dist/gc.spread.sheets.resources.ko.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" class="sample-spreadsheets"></div> <div class="options-container"> <div class="option-row"> <label>Culture:</label> <select id="cultureName"> <option value="en-us" selected>English</option> <option value="zh-cn">Chinese</option> <option value="ja-jp">Japanese</option> <option value="ko-kr">Korean</option> </select> </div> <div class="option-row"> <ul style="margin: 0;padding-left: 20px;"> <li>Perform any of the below actions to view the results:</li> <div>- Click a filter dropdown in the column header</div> <div>- Resize a column or row header</div> <div>- Use the scrollbar to scroll the contents</div> <li>To view localized formula descriptions:</li> <div>- Double click cell B11 or B12</div> <div>- Click to edit the formula to view the updated descriptions</div> </ul> </div> </div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } .sample-spreadsheets { width: calc(100% - 280px); height: 100%; overflow: hidden; float: left; } .options-container { float: right; width: 280px; padding: 12px; height: 100%; box-sizing: border-box; background: #fbfbfb; overflow: auto; } .option-row { font-size: 14px; padding: 5px; margin-top: 10px; } label { display: block; margin-bottom: 6px; } input { padding: 4px 6px; } input[type=button] { margin-top: 6px; display: block; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

In order to support localization, you need to add the appropriate js file link into the document's head section below the Spread link. For example:
Then you can choose one of the following methods to support localization.
Culture meta
You can set culture using the meta tag:
Change with code
You can change culture using the GC.Spread.Common.CultureManager.culture method:
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<label>Culture:</label>
<select id="cultureName" @change="changeCultureName">
<option value="en-us" selected>English</option>
<option value="zh-cn">Chinese</option>
<option value="ja-jp">Japanese</option>
<option value="ko-kr">Korean</option>
</select>
</div>
<div class="option-row">
<ul style="margin: 0;padding-left: 20px;">
<li>Perform any of the below actions to view the results:</li>
<div>- Click a filter dropdown in the column header</div>
<div>- Resize a column or row header</div>
<div>- Use the scrollbar to scroll the contents</div>
<li>To view localized formula descriptions:</li>
<div>- Double click cell B11 or B12</div>
<div>- Click to edit the formula to view the updated descriptions</div>
</ul>
</div>
</div>
</div>
</template>
<script setup>
import '@mescius/spread-sheets-vue';
import { ref } from "vue";
import GC from "@mescius/spread-sheets";
import '@mescius/spread-sheets-resources-ja';
import '@mescius/spread-sheets-resources-ko';
import '@mescius/spread-sheets-resources-zh';
const spreadRef = ref(null);
const initSpread = (spread) => {
spreadRef.value = spread;
spread.suspendPaint();
let spreadNS = GC.Spread.Sheets;
spread.options.showResizeTip = spreadNS.ShowResizeTip.both;
spread.options.showScrollTip = spreadNS.ShowScrollTip.both;
let sheet = spread.getActiveSheet();
for (let r = 0; r < 10; r++) {
for (let c = 0; c < 5; c++) {
sheet.setValue(r, c, r + c);
}
}
sheet.rowFilter(new spreadNS.Filter.HideRowFilter(new spreadNS.Range(0, 0, 10, 5)));
sheet.setValue(10, 0, "SUM:");
sheet.setFormula(10, 1, "SUM(A1:E10)");
sheet.setValue(11, 0, "PIESPARKLINE:");
sheet.setFormula(11, 1, 'PIESPARKLINE(A1:E10,"yellow", "green")');
sheet.setRowHeight(11, 100);
sheet.setColumnWidth(0, 120);
sheet.setColumnWidth(1, 100);
spread.resumePaint();
GC.Spread.Common.CultureManager.culture("en-us");
}
const changeCultureName = (e) => {
GC.Spread.Common.CultureManager.culture(e.target.value);
}
</script>
<style scoped>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-resources-zh': 'npm:@mescius/spread-sheets-resources-zh/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

In order to support localization, you need to add the appropriate js file link into the document's head section below the Spread link. For example:
Then you can choose one of the following methods to support localization.
Culture meta
You can set culture using the meta tag:
Change with code
You can change culture using the GC.Spread.Common.CultureManager.culture method:
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-resources-ja';
import '@mescius/spread-sheets-resources-ko';
import '@mescius/spread-sheets-resources-zh';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
}
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
spread.suspendPaint();
let spreadNS = GC.Spread.Sheets;
spread.options.showResizeTip = spreadNS.ShowResizeTip.both;
spread.options.showScrollTip = spreadNS.ShowScrollTip.both;
let sheet = spread.getActiveSheet();
for (let r = 0; r < 10; r++) {
for (let c = 0; c < 5; c++) {
sheet.setValue(r, c, r + c);
}
}
sheet.rowFilter(new spreadNS.Filter.HideRowFilter(new spreadNS.Range(0, 0, 10, 5)));
sheet.setValue(10, 0, "SUM:");
sheet.setFormula(10, 1, "SUM(A1:E10)");
sheet.setValue(11, 0, "PIESPARKLINE:");
sheet.setFormula(11, 1, 'PIESPARKLINE(A1:E10,"yellow", "green")');
sheet.setRowHeight(11, 100);
sheet.setColumnWidth(0, 120);
sheet.setColumnWidth(1, 100);
spread.resumePaint();
GC.Spread.Common.CultureManager.culture("en-us");
}
changeCultureName (e: any) {
GC.Spread.Common.CultureManager.culture(e.target.value);
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<label>Culture:</label>
<select id="cultureName" (change)="changeCultureName($event)">
<option value="en-us" selected>English</option>
<option value="zh-cn">Chinese</option>
<option value="ja-jp">Japanese</option>
<option value="ko-kr">Korean</option>
</select>
</div>
<div class="option-row">
<ul style="margin: 0;padding-left: 20px;">
<li>Perform any of the below actions to view the results:</li>
<div>- Click a filter dropdown in the column header</div>
<div>- Resize a column or row header</div>
<div>- Use the scrollbar to scroll the contents</div>
<li>To view localized formula descriptions:</li>
<div>- Double click cell B11 or B12</div>
<div>- Click to edit the formula to view the updated descriptions</div>
</ul>
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-resources-zh': 'npm:@mescius/spread-sheets-resources-zh/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

In order to support localization, you need to add the appropriate js file link into the document's head section below the Spread link. For example:
Then you can choose one of the following methods to support localization.
Culture meta
You can set culture using the meta tag:
Change with code
You can change culture using the GC.Spread.Common.CultureManager.culture method:
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import '@mescius/spread-sheets-resources-ja';
import '@mescius/spread-sheets-resources-ko';
import '@mescius/spread-sheets-resources-zh';
import './styles.css';
export function AppFunc() {
let spread = null;
let initSpread = function (value) {
spread = value;
spread.suspendPaint();
let spreadNS = GC.Spread.Sheets;
spread.options.showResizeTip = spreadNS.ShowResizeTip.both;
spread.options.showScrollTip = spreadNS.ShowScrollTip.both;
let sheet = spread.getActiveSheet();
for (let r = 0; r < 10; r++) {
for (let c = 0; c < 5; c++) {
sheet.setValue(r, c, r + c);
}
}
sheet.rowFilter(new spreadNS.Filter.HideRowFilter(new spreadNS.Range(0, 0, 10, 5)));
sheet.setValue(10, 0, "SUM:");
sheet.setFormula(10, 1, "SUM(A1:E10)");
sheet.setValue(11, 0, "PIESPARKLINE:");
sheet.setFormula(11, 1, 'PIESPARKLINE(A1:E10,"yellow", "green")');
sheet.setRowHeight(11, 100);
sheet.setColumnWidth(0, 120);
sheet.setColumnWidth(1, 100);
spread.resumePaint();
GC.Spread.Common.CultureManager.culture("en-us");
}
let changeCultureName = function (e) {
GC.Spread.Common.CultureManager.culture(e.target.value);
}
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
<div className="options-container">
<div className="option-row">
<label>Culture:</label>
<select id="cultureName" onChange={e=> changeCultureName(e)}>
<option value="en-us" selected>English</option>
<option value="zh-cn">Chinese</option>
<option value="ja-jp">Japanese</option>
<option value="ko-kr">Korean</option>
</select>
</div>
<div className="option-row">
<ul style={{ margin: 0, paddingLeft: '20px' }}>
<li>Perform any of the below actions to view the results:</li>
<div>- Click a filter dropdown in the column header</div>
<div>- Resize a column or row header</div>
<div>- Use the scrollbar to scroll the contents</div>
<li>To view localized formula descriptions:</li>
<div>- Double click cell B11 or B12</div>
<div>- Click to edit the formula to view the updated descriptions</div>
</ul>
</div>
</div>
</div>);
}
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import '@mescius/spread-sheets-resources-ja';
import '@mescius/spread-sheets-resources-ko';
import '@mescius/spread-sheets-resources-zh';
import './styles.css';
const Component = React.Component;
function _getElementById(id) {
return document.getElementById(id);
}
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
}
render() {
return <div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
<div className="options-container">
<div className="option-row">
<label>Culture:</label>
<select id="cultureName" onChange={e=>this.changeCultureName(e)}>
<option value="en-us" selected>English</option>
<option value="zh-cn">Chinese</option>
<option value="ja-jp">Japanese</option>
<option value="ko-kr">Korean</option>
</select>
</div>
<div className="option-row">
<ul style={{ margin: 0, paddingLeft: '20px' }}>
<li>Perform any of the below actions to view the results:</li>
<div>- Click a filter dropdown in the column header</div>
<div>- Resize a column or row header</div>
<div>- Use the scrollbar to scroll the contents</div>
<li>To view localized formula descriptions:</li>
<div>- Double click cell B11 or B12</div>
<div>- Click to edit the formula to view the updated descriptions</div>
</ul>
</div>
</div>
</div>;
}
initSpread(spread) {
this.spread = spread;
spread.suspendPaint();
let spreadNS = GC.Spread.Sheets;
spread.options.showResizeTip = spreadNS.ShowResizeTip.both;
spread.options.showScrollTip = spreadNS.ShowScrollTip.both;
let sheet = spread.getActiveSheet();
for (let r = 0; r < 10; r++) {
for (let c = 0; c < 5; c++) {
sheet.setValue(r, c, r + c);
}
}
sheet.rowFilter(new spreadNS.Filter.HideRowFilter(new spreadNS.Range(0, 0, 10, 5)));
sheet.setValue(10, 0, "SUM:");
sheet.setFormula(10, 1, "SUM(A1:E10)");
sheet.setValue(11, 0, "PIESPARKLINE:");
sheet.setFormula(11, 1, 'PIESPARKLINE(A1:E10,"yellow", "green")');
sheet.setRowHeight(11, 100);
sheet.setColumnWidth(0, 120);
sheet.setColumnWidth(1, 100);
spread.resumePaint();
GC.Spread.Common.CultureManager.culture("en-us");
}
changeCultureName (e) {
GC.Spread.Common.CultureManager.culture(e.target.value);
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-resources-zh': 'npm:@mescius/spread-sheets-resources-zh/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);